<div class="center">
  <form [formGroup]="depositForm" (ngSubmit)="onDeposit()">
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Enter bankcard Id</mat-label>
        <input type="number" matInput formControlName="bankCardId">
        <mat-error *ngIf="bankCardIdControl.hasError('required')">Please enter bank card Id</mat-error>
      </mat-form-field>
    </div>
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Enter amount for deposit</mat-label>
        <input type="number" matInput formControlName="amount">
        <mat-error *ngIf="amountControl.hasError('required')">Please enter amount for deposit</mat-error>
      </mat-form-field>
    </div>
    <div>
      <hr class="hr">
      <button
        mat-raised-button
        type="submit"
        [disabled]="!depositForm.valid">Deposit</button>
    </div>
  </form>
</div>
<div *ngIf="amountForDeposit">
  <h1>You have deposited: {{ amountForDeposit }}</h1>
</div>
